Page MenuHomeFreeBSD

graphics/py-cairocffi: Update to 1.0.2
ClosedPublic

Authored by koobs on May 22 2019, 7:02 AM.

Details

Summary
graphics/py-cairocffi: Update to 1.0.2

  - Update COMMENT, match upstream setup.py:description
  - Update USES=python, now only supports Python 3.x
  - Switch to autoplist (using --record), update pkg-plist to add missing
    files until resolved upstream [1][2][3]

Changelog:

  https://github.com/Kozea/cairocffi/blob/v1.0.2/NEWS.rst
  
[1] https://github.com/Kozea/cairocffi/issues/108
[2] See Also: https://github.com/spatialaudio/python-sounddevice/issues/116
[3] See Also: https://groups.google.com/forum/#!topic/python-cffi/oX2T_Y5m99I

PR:		237884
Reviewed_by:	dch (maintainer)
Approved by:	dch (maintainer)
Differential_Revision: D20352
Test Plan
  • portlint: OK (looks fine.)
  • testport: OK (poudriere: 12amd64py36)
  • maketest: OK (6 failed, 40 passed, 7 skipped) [4]

[4] Several UnicodeEncodeErrors, and 2x assert 20.0 > 20.0, report upstream

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

koobs created this revision.May 22 2019, 7:02 AM
koobs edited the summary of this revision. (Show Details)May 22 2019, 7:12 AM
koobs edited the test plan for this revision. (Show Details)
mat added inline comments.May 22 2019, 7:32 AM
graphics/py-cairocffi/Makefile
28 ↗(On Diff #57680)

PYTHON_PYOEXTENSION was removed from PLIST_SUB because for the 3.5+ case, it is always opt-1.pyc. Why add it back here? It would probably be better to simply write opt-1.pyc in the plist file, as it is a constant.

dch added a comment.May 22 2019, 7:36 AM

thanks koobs; however 0.9.0 is the last working version for python 2.7. Can we do a small bump (per my BZ patch) to 0.9.0, and wait for 2020/01/01 to move to 1.0.2? I'd prefer this as it will break anybody who hasn't gone through their own personal pycopalypse yet...

wrt dependencies of this port:

  • qtile is marked broken upstream for some time
  • graphite-api I need to check
  • py-gizeh should be fine according to requirements.txt /cc yuri@ can you check this?
dch added a reviewer: yuri.May 22 2019, 7:37 AM
koobs added a comment.May 22 2019, 7:51 AM
In D20352#438850, @dch wrote:

thanks koobs; however 0.9.0 is the last working version for python 2.7. Can we do a small bump (per my BZ patch) to 0.9.0, and wait for 2020/01/01 to move to 1.0.2? I'd prefer this as it will break anybody who hasn't gone through their own personal pycopalypse yet...

I understand and agree with the user consideration (it is noble and warranted to think about it), though we shouldn't hold back updates to ports because they move to Python 3.x, modulo making sure that the updates work with existing in-ports-tree consumers (like below). This principle applies similarly to any port, not just python ones, that move to only support specific versions of their dependencies.

If we're seriously concerned about Python 2.x ports being important to users, we can create specific versions that are Python 2.x safe for users, such as a py-cairocffi09, though I'm not sure the effort is worth the reward (and maintenance), given users can pip install --user or in a virtualenv any version of any Python package they want, or hold off (pkg lock) updating a specific port/package.

wrt dependencies of this port:

  • qtile is marked broken upstream for some time
  • graphite-api I need to check
  • py-gizeh should be fine according to requirements.txt /cc yuri@ can you check this?
koobs marked an inline comment as done.May 22 2019, 7:59 AM
koobs added inline comments.
graphics/py-cairocffi/Makefile
28 ↗(On Diff #57680)

I'll remove it in this instance given the lack of use in the tree after its recent removal, but it's actually variable.

It's only the same at the moment as we specify PYDISTUTILS_INSTALLARGS=-O1 in python.mk, but there are other values, which we may want to use/change to.

Python can also change the format at any time, conditionally based on build type or globally, as it has in the past, which is a better argument than our -O1 use for keeping it a variable.

Currently, a changing format would require sweeping every pkg-plist in the tree.

But let's cross that bridge when we come to it.

koobs updated this revision to Diff 57682.May 22 2019, 8:01 AM
koobs marked an inline comment as done.

graphics/py-cairo: Remove PYO_EXTENSION references

dch accepted this revision.May 27 2019, 12:50 PM

per irc, lets do this - over to koobs for the coup de grace.

This revision is now accepted and ready to land.May 27 2019, 12:50 PM
This revision was automatically updated to reflect the committed changes.